This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 604041 - guestmount absolute symlinks don't work
guestmount absolute symlinks don't work
Status: ASSIGNED
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Maros Zatko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-15 05:09 EDT by Richard W.M. Jones
Modified: 2015-03-18 08:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2010-06-15 05:09:40 EDT
Description of problem:

A guestmounted filesystem.  Note the bogus symlink:

$ ll mnt/
total 1834729
-rwxrwxrwx. 1 root root         24 Jun 10  2009 autoexec.bat
-rwxrwxrwx. 1 root root         10 Jun 10  2009 config.sys
lrwxrwxrwx. 2 root root         60 Jul 14  2009 Documents and Settings -> /sysroot//Users
-rwxrwxrwx. 1 root root  804986880 Mar 29 13:08 hiberfil.sys
-rwxrwxrwx. 1 root root 1073741824 Mar 29 13:08 pagefile.sys
drwxrwxrwx. 1 root root          0 Jul 14  2009 PerfLogs
drwxrwxrwx. 1 root root       4096 Jul 14  2009 ProgramData
drwxrwxrwx. 1 root root       4096 Dec 14 19:03 Program Files
drwxrwxrwx. 1 root root          0 Dec 14 18:40 Recovery
drwxrwxrwx. 1 root root          0 Dec 14 18:41 $Recycle.Bin
drwxrwxrwx. 1 root root       4096 Dec 15 09:32 System Volume Information
drwxrwxrwx. 1 root root       4096 Dec 14 18:41 Users
drwxrwxrwx. 1 root root      16384 Dec 15 09:34 Windows

Version-Release number of selected component (if applicable):

guestmount 1.3.20

How reproducible:

Always.

Steps to Reproduce:
1. guestmount a filesystem that has an absolute symlink
2. note the symlink points to the wrong place
3.
  
Additional info:

We should rewrite absolute symlinks as relative ones in the
FUSE layer.
Comment 1 Richard W.M. Jones 2014-04-28 05:11:09 EDT
See also
https://bugzilla.redhat.com/show_bug.cgi?id=1091856#c1

Note You need to log in before you can comment on or make changes to this bug.